WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: meson,build:84:0: ERROR: Dependency "libkmod" not found  (Read 921 times)

Offline qingquan

  • Newbie
  • *
  • Posts: 35
meson,build:84:0: ERROR: Dependency "libkmod" not found
« on: January 04, 2023, 01:31:17 AM »
TinyCorePure64-12.0:
compile open iscsi
tce-load -iw compiletc.tcz
tce-load -iw tpm2-tss-dev.tcz
tce-load -iw curl-dev.tcz
tce-load -iw meson.tcz
tce-load -iw cmake.tcz

cd iscsi
meson build

Run-time dependency libkmod found: NO (tried pkgconfig)

meson,build:84:0: ERROR: Dependency "libkmod" not found,tried pkgconfig

ibkmod is not found in the software repository,
What should I do next? thank you!

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14123
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #1 on: January 04, 2023, 02:11:46 AM »
Is there a meson build option to disable libkmod?

If not, you will need to compile libkmod.

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10579
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #2 on: January 04, 2023, 06:18:49 AM »
Hi qingquan
... Run-time dependency libkmod found: NO (tried pkgconfig) ...
According to this:
http://tinycorelinux.net/12.x/x86_64/tcz/kmod.tcz.list
libkmod  is provided by  kmod.tcz.
Based on the run-time error message that should fix the error.
If not, then install  kmod-dev.tcz.

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #3 on: January 04, 2023, 07:04:57 AM »
hi Rich
hi Juanito
Thanks for your reply. “kmod.tcz,kmod-dev.tcz", It works really well,pass
now:
 Run-time dependency mount found:NO (tried pkgconfig)
 meson.build:86.0: ERROR:Dependency "mount" not found,tried pkgconfig
I tried installing pkg-config.tcz ,But it didn't work


Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14123
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #4 on: January 04, 2023, 07:15:07 AM »
Libmount is provided by util-linux, you’ll also need util-linux-dev.

You can use the apps gui provides functionality to search for which extension provides what.

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10579
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #5 on: January 04, 2023, 07:15:20 AM »
Hi qingquan
See if installing  util-linux-dev.tcz  helps.

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #6 on: January 04, 2023, 07:36:02 AM »
hi Rich
hi Juanito
"util-linux-dev.tcz" is ok
Your familiarity with the library is amazing!
now:
 Run-time dependency libsystemd found:NO (tried pkgconfig)
 meson.build:86.0: ERROR:Dependency "libsystemd" not found,tried pkgconfig
thank you!


Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14123
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #7 on: January 04, 2023, 07:48:58 AM »
From meson_options.txt:
Code: [Select]
option('no_systemd', type: 'boolean', value: false,
  description: 'Do not use systemd')

..so use "CC="gcc -flto -mtune=generic -Os -pipe" CXX="g++ -flto -mtune=generic -Os -pipe -fno-exceptions -fno-rtti" meson --prefix=/usr/local --localstatedir=/var --buildtype=plain -Dno_systemd -Dblah -Dblah"

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10579
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #8 on: January 04, 2023, 07:52:31 AM »
Hi qingquan
Tinycore does not use  systemd.  The  elogind-dev.tcz  package includes
a  libsystemd.pc (package config)  but I don't know if that's good enough.

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #9 on: January 04, 2023, 08:03:15 AM »
"elogind-dev.tcx"  pass ...
Very good!
Thank you, Rich.
I'll try Juanito method sometime, thanks.
You are my role model, I will continue to work hard!
I'm going to rest. COVID-19 is bad.

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #10 on: January 04, 2023, 05:07:58 PM »
meson.build:114:2:ERROR:could not execute command /mnt/sdb1/iscsi/open-iscsi-2.1.8/libopeniscsiusr/docs/list-man-pages.sh
/mnt/sdb1/iscsi/open-iscsi-2.1.8/libopeniscsiusr/libopeniscsiusr/libopeniscsiusr.h

These two files are real,
Environment variables were added.

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #11 on: January 04, 2023, 06:19:24 PM »
meson.build:114:2:ERROR:could not execute command /mnt/sdb1/iscsi/open-iscsi-2.1.8/libopeniscsiusr/docs/list-man-pages.sh
/mnt/sdb1/iscsi/open-iscsi-2.1.8/libopeniscsiusr/libopeniscsiusr/libopeniscsiusr.h

These two files are real,
Environment variables were added.

Trying to modify the default shell, find a post:
http://forum.tinycorelinux.net/index.php/topic,11338.msg59504.html#msg59504
"bash.tcz"  pass
new problem:
meson.build:184:0: ERROR: C shared or static library 'isns' not found
« Last Edit: January 04, 2023, 06:41:39 PM by qingquan »

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10579
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #12 on: January 04, 2023, 06:26:53 PM »
Hi qingquan
list-man-pages.sh  is a  bash  script. Install  bash.tcz.
You should not need to modify the default shell.
« Last Edit: January 04, 2023, 06:28:32 PM by Rich »

Offline qingquan

  • Newbie
  • *
  • Posts: 35
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #13 on: January 04, 2023, 07:10:15 PM »
Hi Rich
Correct answer:list-man-pages.sh  is a  bash  script. Install  bash.tcz.

new problem:
meson.build:184:0: ERROR: C shared or static library 'isns' not found

Online Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10579
Re: meson,build:84:0: ERROR: Dependency "libkmod" not found
« Reply #14 on: January 04, 2023, 07:41:57 PM »
Hi qingquan
I think you need to build that yourself.
Go here:
https://github.com/open-iscsi/open-iscsi
Read this section:
Quote
3. Installation
===============

NOTE:   You will need to be root to install the Open-iSCSI code, and
   you will also need to be root to run it.

As of today, the Open-iSCSI Initiator requires a host running the
Linux operating system with kernel.

The userspace components iscsid, iscsiadm and iscsistart require the
open-isns library.

If this package is not available for your distribution, you can download
and install it yourself.  To install the open-isns headers and library
required for Open-iSCSI, download the current release from:

   https://github.com/open-iscsi/open-isns
 ...